? bin
? stage
? unused_variables.diff
Index: boost/archive/basic_binary_oprimitive.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/archive/basic_binary_oprimitive.hpp,v
retrieving revision 1.11
diff -d -u -r1.11 basic_binary_oprimitive.hpp
--- boost/archive/basic_binary_oprimitive.hpp	22 Jun 2006 07:20:23 -0000	1.11
+++ boost/archive/basic_binary_oprimitive.hpp	22 Aug 2006 19:41:51 -0000
@@ -87,7 +87,8 @@
     // trap usage of invalid uninitialized boolean which would
     // otherwise crash on load.
     void save(const bool t){
-        int i = t;
+        int i;
+        i = t;
         assert(0 == i || 1 == i);
         save_binary(& t, sizeof(t));
     }
Index: boost/archive/basic_text_oprimitive.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/archive/basic_text_oprimitive.hpp,v
retrieving revision 1.12
diff -d -u -r1.12 basic_text_oprimitive.hpp
--- boost/archive/basic_text_oprimitive.hpp	4 Feb 2006 20:35:35 -0000	1.12
+++ boost/archive/basic_text_oprimitive.hpp	22 Aug 2006 19:41:51 -0000
@@ -89,7 +89,8 @@
     void save(const bool t){
         // trap usage of invalid uninitialized boolean which would
         // otherwise crash on load.
-        int i = t;
+        int i;
+        i = t;
         assert(0 == i || 1 == i);
         if(os.fail())
             boost::throw_exception(archive_exception(archive_exception::stream_error));
Index: libs/thread/src/recursive_mutex.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/thread/src/recursive_mutex.cpp,v
retrieving revision 1.23
diff -d -u -r1.23 recursive_mutex.cpp
--- libs/thread/src/recursive_mutex.cpp	17 Mar 2005 01:55:44 -0000	1.23
+++ libs/thread/src/recursive_mutex.cpp	22 Aug 2006 19:42:16 -0000
@@ -296,7 +296,8 @@
 
     res = pthread_mutex_init(&m_mutex, &attr);
     {
-        int res = pthread_mutexattr_destroy(&attr);
+        int res;
+        res = pthread_mutexattr_destroy(&attr);
         assert(res == 0);
     }
     if (res != 0)
@@ -452,7 +453,8 @@
 
     res = pthread_mutex_init(&m_mutex, &attr);
     {
-        int res = pthread_mutexattr_destroy(&attr);
+        int res;
+        res = pthread_mutexattr_destroy(&attr);
         assert(res == 0);
     }
     if (res != 0)
